# react-hot-loader

This is a **stable for daily use in development** implementation of [React live code editing](http://www.youtube.com/watch?v=pw4fKkyPPg8).

* Get inspired by a **[demo video](https://vimeo.com/100010922).**

* Read **[technical explanation and integration walkthrough](http://gaearon.github.io/react-hot-loader/).**

* Use **one of the [starter kits](https://github.com/gaearon/react-hot-loader/tree/master/docs#starter-kits)** for your next React project.

## Installation

`npm install --save-dev react-hot-loader`

## Usage

If you want to try hot reloading in a new project, try [one of the starter kits](https://github.com/gaearon/react-hot-loader/tree/master/docs#starter-kits), [react-hot-boilerplate](https://github.com/gaearon/react-hot-boilerplate) being the most minimal one.

To use hot loader in an existing project, you need to

* switch to Webpack for builds (instead of RequireJS or Browserify);
* enable Hot Module Replacement, which is a Webpack feature;
* configure Webpack to use React Hot Loader for JS or JSX files.

These steps are covered by **[the walkthrough](http://gaearon.github.io/react-hot-loader/#integration)**.

## Documentation

Docs are in a bit of a flux right now because I'm in the process of updating everything to document the major 1.0 release.

If you just learned about React Hot Loader and want to find out more, [check out the introductory post](http://gaearon.github.io/react-hot-loader/) and then try one of the [starter kits](https://github.com/gaearon/react-hot-loader/tree/master/docs#starter-kits).

If you've been with us for a while, keep your eye on [`docs/README.md`](https://github.com/gaearon/react-hot-loader/blob/master/docs/README.md) as it will be updated for what's changed in 1.0.

New landing page is in the works, and once it's released, I'll figure out how to split the documentation.

## License

MIT (http://www.opensource.org/licenses/mit-license.php)
